CREATE TABLE IF NOT EXISTS `mod_weberp_config` 
(
  `cname` varchar(90) NOT NULL,
  `cvalue` text,
  PRIMARY KEY (`cname`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `mod_weberp_config` (`cname`, `cvalue`) VALUES
('debug', '0'),
('whmcskey', ''),
('startfrom', NOW()),
('erpapi', ''),
('erpusername', ''),
('invoicetofield', ''),
('invoicetypefield', ''),
('jobfield', ''),
('payments', '{}'),
('taxresidencefield', ''),
('vatid', 'native'),
('ignorecredit', '1'),
('ignoremerged', '1'),
('language', 'english'),
('vatidcustom', '');


CREATE TABLE IF NOT EXISTS `mod_weberp_invoices` 
(
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `erpid` int(10) unsigned NOT NULL DEFAULT 0,
  `whmcsid` int(10) unsigned NOT NULL,
  `userid` int(10) unsigned NOT NULL DEFAULT 0,
  `invoiceto` varchar(256) NOT NULL,
  `series` varchar(16) NOT NULL,
  `invoiceid` int(10) unsigned NOT NULL DEFAULT 0,
  `total` float DEFAULT 0,
  `invoicetype` int(10) unsigned NOT NULL DEFAULT 0,
  `filepath` text,
  `invoicedate` DATETIME NOT NULL,
  `modified` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE(`whmcsid`,`erpid`),
  KEY `userid` (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `mod_weberp_ignored` 
(
  `id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;