<?php 
if(!defined("WHMCS")) die("This file cannot be accessed directly");
$config=$api->getConfig();
$ignorePayments=array();
foreach($config['payments'] as $payment=>$mode)
{
	if($mode=='ignore')
	{
		$ignorePayments[]=$payment;
	}
}

$statuses=$api->getArray('statuses',array('Paid'),'POST');
$userid=$api->getInt('userid',0,'POST');
$date=$api->getString('datefrom','','POST');
if(!$config['startfrom'] || !$api->isDateValid($config['startfrom'])) $config['startfrom']=$api->dateSQL('-3 months');

$filter=array();
$filter[]='i.`subtotal` >0';
$filter['status']='i.`status` IN ('.$db->quoteArray($statuses).')';

if($api->isDateValid($date) && $api->dateUnix($date)>=$api->dateUnix($config['startfrom']))
{
	$filter[]='i.`datepaid`>='.$db->quoteValue($api->dateSQL($date));
}
else
{
	 $filter[]='i.`datepaid`>='.$db->quoteValue($config['startfrom']);
}

if($userid)  $filter[]='i.`userid`>='.$db->quoteValue($userid);

//$filter['client']='c.firstname NOT NULL';
if(count($ignorePayments)) $filter[]='i.`paymentmethod` NOT IN ('.$db->quoteArray($ignorePayments).')';
$filter['existing']='i.`id` NOT IN (SELECT whmcsid FROM `mod_weberp_invoices`)';
$filter['ignored']='i.`id` NOT IN (SELECT id FROM `mod_weberp_ignored`)';
$rs=$db->query('SELECT c.*,i.* FROM `tblinvoices` as i LEFT JOIN `tblclients` as c ON i.userid=c.id WHERE '.implode(' AND ',$filter).' ORDER BY `datepaid` ASC');

$data=array();
while($row=$db->fetch_array($rs))
{
	$invoice=$api->invoiceFormat($row);
	if(is_array($invoice) && !$invoice['ignored']) $data[$row['id']]=$invoice;
}

$request=array();
$request['result']=1;
$request['siteid']=$config['erpsiteid'];
$request['domain']=str_replace('www.','',$api->getHost());
$request['data']=$data;
$api->printJSON($request,JSON_PRETTY_PRINT);