<?php 
if(!defined("WHMCS")) die("This file cannot be accessed directly");
$config=$api->getConfig();
$fkey='weberp_'.$CMD.'_';
if($api->getInt('dosearch',0,'POST')!=0)
{
	$api->setVar($fkey.'search',trim(strip_tags($api->getString('search','','POST'))),'SESSION');
	$api->setVar($fkey.'statuses',$api->getArray('statuses',array(),'POST'),'SESSION');
	$api->setVar($fkey.'datefrom',$api->getString('datefrom','','POST'),'SESSION');
	$api->setVar($fkey.'dateto',$api->getString('dateto','','POST'),'SESSION');
	$api->setVar($fkey.'userid',$api->getString('userid','','POST'),'SESSION');
	$api->redirect(MODULE_LINK.'&cmd='.$api->getCmd('cmd','').'&p='.$api->getInt('p',1));
}

$filters=array();
$filters['p']=$api->getInt('p',1);
$filters['limit']=$api->getInt($fkey.'limit',50,'SESSION');
$filters['userid']=$api->getInt($fkey.'userid',0,'SESSION');
$filters['search']=$api->getString($fkey.'search','','SESSION');
$filters['datefrom']=$api->getString($fkey.'datefrom','','SESSION');
$filters['dateto']=$api->getString($fkey.'dateto','','SESSION');

$sqlfilters=array();
if($filters['userid'])
{
	$sqlfilters[]='`userid`='.$db->quoteValue($filters['userid']);
}

if($api->isDateValid($filters['datefrom']))
{
	$sqlfilters[]='`invoicedate`>='.$api->dateSQL($filters['datefrom']);
}

if($api->isDateValid($filters['dateto']))
{
	$sqlfilters[]='`invoicedate`<='.$api->dateSQL($filters['dateto']);
}

if(strlen($filters['search'])>2)
{
	$sqlSearch=' LIKE '.$db->quoteValue('%'.$filters['search'].'%');
	$filter[]='(w.invoiceto '.$sqlSearch.' OR c.firstname '.$sqlSearch.' OR c.lastname '.$sqlSearch.' OR c.companyname '.$sqlSearch.')';
}

$invoiceTypes=array();
if($api->file_exists(WEBERP_ROOT.'/invoicetypes.json'))
{
	$file=$api->readFile(WEBERP_ROOT.'/invoicetypes.json');
	if($file!='' && filemtime(WEBERP_ROOT.'/invoicetypes.json')+3*3600>time()) $invoiceTypes=json_decode($file,true);
}

if(empty($invoiceTypes) && !empty($config['erpusername']) && !empty($config['erpapi']))
{
	$erp=WebERP::getInstance($db);
	$rsp=$erp->request(array('task'=>'erp.getinvoicetypes','index'=>'id','indexvalue'=>'title'));
	if(!is_array($rsp)) echo '<div class="alert alert-danger"><pre>'.$rsp.'</pre></div>';
	else if(isset($rsp['result']) && !$rsp['result']) echo '<div class="alert alert-danger">'.$rsp['error'].'</div>';
	else if(count($rsp))
	{
		$api->writeFile(WEBERP_ROOT.'/invoicetypes.json',json_encode($rsp));
		$invoiceTypes=$rsp;
	}
}

$start = ($filters['p']-1)*$filters['limit'];
$rs=$db->query('SELECT c.*,w.* FROM `mod_weberp_invoices` as w LEFT JOIN `tblclients` as c ON w.userid=c.id'.(count($sqlfilters)?' WHERE '.implode(' AND ',$sqlfilters):'').' ORDER BY `invoicedate` DESC LIMIT '.$start.','.$filters['limit']);
$total=$db->num_rows();
?>
<div>
	<form method="POST" action="<?php echo MODULE_LINK;?>">
		<input type="hidden" name="cmd" value="<?php echo $CMD;?>" />
		<input type="hidden" name="dosearch" value="1" />
		<input type="hidden" name="p" value="1" />	
		<label><?php echo $api->getLang('WEBERP_USERID');?>:<input style="width:60px;" type="text" name="userid" value="<?php echo $filters['userid']?$filters['userid']:'';?>" /></label>
		<label><?php echo $api->getLang('WEBERP_SEARCH');?>:<input type="text" name="search" value="<?php echo $filters['search'];?>" /></label>
		<label><?php echo $api->getLang('WEBERP_DATE_FROM');?>:<input type="date" name="datefrom" value="<?php echo $filters['datefrom'];?>" /></label>
		<label><?php echo $api->getLang('WEBERP_DATE_TO');?>:<input type="date" name="dateto" value="<?php echo $filters['dateto'];?>" /></label>
		<input class="btn btn-success" type="submit" name="submit" value="GO" />
		<table class="table table-hover">
			<thead class="thead-dark">
				<tr>
					<th><?php echo $api->getLang('WEBERP_INVOICETO');?></th>
					<th width="10%"><?php echo $api->getLang('WEBERP_INVOICE_ID');?></th>
					<th width="15%"><?php echo $api->getLang('WEBERP_INVOICE_NUM');?></th>
					<th width="10%"><?php echo $api->getLang('WEBERP_INVOICE_TOTAL');?></th>
					<th width="10%"><?php echo $api->getLang('WEBERP_INVOICE_DATE');?></th>
					<th width="15%"><?php echo $api->getLang('WEBERP_INVOICE_TYPE');?></th>
					<th width="80"><?php echo $api->getLang('WEBERP_INVOICE_ACTIONS');?></th>
				</tr>
			</thead>
			<tbody>
				<?php while($row=$db->fetch_array($rs)):?>
				<tr>
					<td><?php echo $row['invoiceto'];?> <a class="small" href="clientssummary.php?userid=<?php echo $row['userid'];?>"><?php echo $row['firstname'].' '.$row['lastname'];?></a></td>
					<td><a target="_blank" href="invoices.php?action=edit&id=<?php echo $row['whmcsid'];?>"><?php echo $row['whmcsid'];?></a></td>
					<td><a target="_blank" href="https://<?php echo $config['erpusername'];?>.weberp.gr/index.php?page=invoice&id=<?php echo $row['erpid'];?>&task=view"><?php echo $row['series'].'#'.$api->fill($row['invoiceid'],'0');?></td>
					<td><?php echo number_format($row['total'],2);?></td>
					<td><?php echo $api->dateFormat($row['invoicedate'],'d/m/Y H:i');?></td>
					<td><?php echo isset($invoiceTypes[$row['invoicetype']])?$invoiceTypes[$row['invoicetype']]:$row['invoicetype'];?></td>
					<td>
						<a class="btn btn-sm btn-success" href="<?php echo MODULE_LINK;?>&cmd=download&id=<?php echo $row['id'];?>"><?php echo $api->getLang('DOWNLOAD');?></a>
						<a class="btn btn-sm btn-danger" href="<?php echo MODULE_LINK;?>&cmd=deleteinv&id=<?php echo $row['id'];?>"><?php echo $api->getLang('DELETE');?></a>
					</td>
				</tr>
				<?php endwhile;?>
			</tbody>
		</table>
	</form>
	<div class="mt-2 p-2">
		<?php if($filters['p']-1>0):?>
		<a href="<?php echo MODULE_LINK;?>&cmd=<?php echo $CMD;?>&p=<?php echo ($filters['p']-1);?>"><< <?php echo $api->getLang('WEBERP_PAGINATION_PREVIΟUS');?></a>
		<?php endif;?>
		<a class="font-weight-bold" href="<?php echo MODULE_LINK;?>&cmd=<?php echo $CMD;?>&p=<?php echo $filters['p'];?>"><?php echo $api->getLang('WEBERP_PAGINATION_CURRENT');?> (<?php echo $filters['p'];?>)</a>
		<?php if($total>=$filters['limit']):?>
		<a href="<?php echo MODULE_LINK;?>&cmd=<?php echo $CMD;?>&p=<?php echo ($filters['p']+1);?>"><?php echo $api->getLang('WEBERP_PAGINATION_NEXT');?> >></a>
		<?php endif;?>
	</div>
</div>