<?php 
if(!defined("WHMCS")) die("This file cannot be accessed directly");
$config=$api->getConfig();

$erp=WebERP::getInstance($db);
$invoiceTypes=array();
if($api->file_exists(WEBERP_ROOT.'/invoicetypes.json'))
{
	$file=$api->readFile(WEBERP_ROOT.'/invoicetypes.json');
	if($file!='' && filemtime(WEBERP_ROOT.'/invoicetypes.json')) $invoiceTypes=json_decode($file,true);
}

$datas=$api->getArray('data',array(),'POST');
$updated=0;
$new=0;
$rsps=array();
foreach($datas as $whmcsID=>$data)
{
	$replace=array(
		'{Y}'=>$api->dateFormat($data['created'],'Y'),
		'{M}'=>$api->dateFormat($data['created'],'M'),
		'{m}'=>$api->dateFormat($data['created'],'m'),
		'{D}'=>$api->dateFormat($data['created'],'d'),
		'{INVNUM}'=>$whmcsID,
		'{SEQNUM}'=>$data['invoiceid'],
		'{SERIES}'=>$data['series'],
		'{INVSERNUM}'=>$data['series'].'#'.$data['invoiceid'],
		'{INVTYPE}'=>isset($invoiceTypes[$data['invoicetype']])?$invoiceTypes[$data['invoicetype']]:'',
	);
	
	$customNum=str_replace(array_keys($replace),array_values($replace),$config['custominvoice']);
	$db->update('tblinvoices',array('invoicenum'=>trim($customNum)),array('id'=>$whmcsID));
	
	$dbIn=array();
	$dbIn['id']=NULL;
	$dbIn['whmcsid']=$whmcsID;
	$dbIn['userid']=$db->getValue('SELECT userid FROM `tblinvoices` WHERE `id`='.$db->quoteValue($whmcsID));
	$dbIn['invoicedate']=$api->datetimeSQL($data['created']);
	$dbIn['series']=$data['series'];
	$dbIn['invoiceid']=$data['invoiceid'];
	$dbIn['invoiceto']=$data['invoicedtext'];
	$dbIn['total']=$data['total'];
	$dbIn['erpid']=$data['id'];
	$dbIn['invoicetype']=$data['invoicetype'];
	$dbIn['modified']=$api->datetimeSQL();
	
	$storePath=rtrim($config['pdfpath'],'/').'/'.$api->dateFormat($data['created'],'Y').'/'.$api->dateFormat($data['created'],'m-M');
	$api->createFolders($storePath);
	
	$storeFile=$storePath.'/'.$data['series'].$data['invoiceid'].'_'.$data['invoicetype'].'.pdf';
	
	$invDDL=$erp->downloadInvoice($dbIn['erpid'],$storeFile,false);
	if($invDDL['result'])
	{
		$dbIn['filepath']=str_replace($config['pdfpath'].'/','',$storeFile);
		$inv=$db->getRow('SELECT * FROM `mod_weberp_invoices` WHERE `whmcsid`='.$db->quoteValue($whmcsID).' AND `erpid`='.$db->quoteValue($dbIn['erpid']));
		if(count($inv))
		{
			$dbIn['id']=$inv['id'];
			if($inv['filepath']!=$dbIn['filepath']) //delete local file
			{
				$api->deleteFile($config['pdfpath'].'/'.$inv['filepath']);
			}
		}
	}
	
	if($dbIn['id'])
	{
		$db->update('mod_weberp_invoices',$dbIn,array('id'=>$dbIn['id']));
		$dbIn['updated']=1;
		$updated++;
	}
	else
	{
		unset($dbIn['id']);
		$db->insertUpdate('mod_weberp_invoices',$dbIn);
		$dbIn['insert']=1;
		$new++;
	}
	
	$dbIn['db-error']=$db->error();
	$dbIn['downloaded']=$invDDL;
	$dbIn['invoicecustomnum']=$customNum;
	$rsps[$whmcsID]=$dbIn;
}

$request=array();
$request['result']=$updated || $new?1:0;
$request['updated']=$updated;
$request['insert']=$new;
$request['data']=$rsps;
$request['domain']=str_replace('www.','',$api->getHost());
$api->printJSON($request,JSON_PRETTY_PRINT);