<?php 
if(!defined("WHMCS")) die("This file cannot be accessed directly");
if($api->getInt('save',0,'POST') && !empty($_POST))
{
	$remove=array('save','module','cmd','token');
	foreach($_POST as $k => $v)
	{
		if(in_array($k,$remove)) continue;
		if(is_array($v)) $v=json_encode($v);
		if($k=='startfrom') $v=$api->dateSQL($api->dateFix($v,'now'));	
		$db->insertUpdate('mod_weberp_config',array('cvalue'=>$v,'cname'=>$k));
	}
	$api->redirect(MODULE_LINK.'&cmd='.$CMD,'WEBERP_CONFIG_SAVED_SUCCESS','success');
}

$config=$api->getConfig(true);
if(empty($config['pdfpath']))
{
	$config['pdfpath']=WEBERP_ROOT.'/invoices';
	$api->createFolders($config['pdfpath']);
	$api->writeFile($config['pdfpath'].'/index.html','<html></html>');
	$api->writeFile($config['pdfpath'].'/.htaccess',"Order Allow,Deny\nDeny from all");
}

if(empty($config['whmcskey'])) $config['whmcskey']=md5('WebERP'.mt_rand(0,99999).time().mt_rand(0,99999));
$config['erpusername']=str_replace(array('https','http','://','.weberp.gr','weberp.gr','.','/',' '),'',$config['erpusername']);

$form=new WFormField($db);
$optionsVatID=array('native'=>'Native Field','customfield'=>'CustomField');

$whmcsPayments=$db->getArray('SELECT `gateway`,`value` FROM `tblpaymentgateways` WHERE `setting`="name" ORDER BY `gateway` ASC;','value','gateway');
$erpPayments=array(''=>'NONE','ignore'=>'Ignore');

$invoiceTypes=array();
$customFields=array(''=>'NONE')+$db->getArray('SELECT * FROM `tblcustomfields` WHERE `type`="client" ORDER BY `id` ASC;','fieldname','id');
if(!empty($config['erpusername']) && !empty($config['erpapi']))
{
	$erp=WebERP::getInstance($db);
	$rsp=$erp->request(array('task'=>'erp.getpaymentmethods','index'=>'id'));
	
	if(!is_array($rsp)) echo '<div class="alert alert-danger"><pre>'.$rsp.'</pre></div>';
	else if(isset($rsp['result']) && !$rsp['result']) echo '<div class="alert alert-danger">'.$rsp['error'].'</div>';
	else if(count($rsp)) $erpPayments+=$rsp;
	
	$rsp=$erp->request(array('task'=>'erp.getinvoicetypes','index'=>'id','indexvalue'=>'title'));
	if(!is_array($rsp)) echo '<div class="alert alert-danger"><pre>'.$rsp.'</pre></div>';
	else if(isset($rsp['result']) && !$rsp['result']) echo '<div class="alert alert-danger">'.$rsp['error'].'</div>';
	else if(count($rsp))
	{
		$api->writeFile(WEBERP_ROOT.'/invoicetypes.json',json_encode($rsp));
		$invoiceTypes=$rsp;
	}
}
?>
<div class="col-md-12">
	<form action="<?php echo MODULE_LINK;?>" method="POST">
		<input name="save" value="1" type="hidden" />
		<input name="module" value="weberp" type="hidden" />
		<input name="cmd" value="<?php echo $CMD;?>" type="hidden" />
		<div class="row">
            <div class="col-sm-12 p-2">
               <h3><?php echo $api->getLang('WEBERP_ERP_CONNECTION');?></h3>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_WHMCS_KEY');?></label>
            <div class="col-sm-3">
               <?php echo $form->input('whmcskey','text',trim($config['whmcskey']),array('readonly'=>true));?>
            </div>
			<div class="col-sm-6"><?php echo $api->getLang('WWEBERP_WHMCS_KEY_DESC');?></div>
		</div>	
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_URL_ACCOUNT');?>*</label>
            <div class="col-sm-3"><?php echo $form->input('erpusername','text',trim($config['erpusername']),array('required'=>true));?></div>
			<div class="col-sm-3">https://[ACCOUNT_NAME].weberp.gr</div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_API_KEY');?>*</label>
            <div class="col-sm-3">
              <?php echo $form->input('erpapi','text',$config['erpapi'],array('required'=>true));?>
            </div>
			<div class="col-sm-6"><?php echo $api->getLang('WEBERP_API_KEY_DESC');?></div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_STORE_ID');?>*</label>
            <div class="col-sm-3">
              <?php echo $form->input('erpsiteid','numeric',(int)$config['erpsiteid'],array('required'=>true));?>
            </div>
		</div>
		<div class="row">
            <div class="col-sm-12 p-2">
               <h3><?php echo $api->getLang('WEBERP_BASIC_CONFIG');?></h3>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_ADDON_LANGAUGE');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('language',array('english'=>'English','greek'=>'Greek'),$config['language']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_WHMCS_PATH');?></label>
            <div class="col-sm-3">
               <?php echo $form->input('pdfpath','text',trim($config['pdfpath']));?>
            </div>
			<div class="col-sm-3">
				<?php echo $api->folder_exists($config['pdfpath'])?'<span style="color:green;">Exists, OK!</span>':'<span style="color:red;">Not exists, ERROR!</span>';?>
			</div>
		</div>	
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_WHMCS_CUSTOM_INVOICE');?></label>
            <div class="col-sm-3">
               <?php echo $form->input('custominvoice','text',trim($config['custominvoice']));?>
            </div>
			<div class="col-sm-3">
				<ul>
					<li>{Y} year</li>
					<li>{M} 3-char or {m} number month</li>
					<li>{D} day num</li>
					<li>{SEQNUM} sequense num</li>
					<li>{SERIES} series</li>
					<li>{INVNUM} WHMCS ID</li>
					<li>{INVSERNUM} series+sequense num</li>
					<li>{INVTYPE} Invoice Type Title</li>
				</ul>
			</div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_IGNORE_OLDERDATE');?></label>
            <div class="col-sm-3">
               <?php echo $form->input('startfrom','date',$api->dateFormat($api->dateFix($config['startfrom'],'now')),array('class'=>'datepick form-control'));?>
            </div>
			<div class="col-sm-3">d-m-Y</div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_CREDIT_INVOICE');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('ignorecredit',array(1=>'Ignore Add Funds Invoices',2=>'Ignore Fully Credit Paid Invoices',0=>'NO'),$config['ignorecredit']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_MERGED_INVOICE');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('ignoremerged',array(1=>'Ignore Merged',0=>'NO'),$config['ignoremerged']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_VATID_FIELD');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('vatid',$optionsVatID,$config['vatid']);?>
            </div>
		</div>
		<div class="row vatid-customfield <?php if($config['vatid']!='customfield') echo 'hide';?>">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_VATID_CUSTOMFIELD');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('vatidcustom',$customFields,$config['vatidcustom']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_TAXRESIDENCE');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('taxresidencefield',$customFields,$config['taxresidencefield']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_JOB');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('jobfield',$customFields,$config['jobfield']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_INVOICETYPE_FIELD');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('invoicetypefield',$customFields,$config['invoicetypefield']);?>
            </div>
		</div>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_INVOICETO_FIELD');?></label>
            <div class="col-sm-3">
               <?php echo $form->select('invoicetofield',$customFields,$config['invoicetofield']);?>
            </div>
		</div>
		<div class="row">
            <div class="col-sm-12 p-2">
               <h3><?php echo $api->getLang('WEBERP_MATCHING');?></h3>
            </div>
		</div>		
		<?php foreach($whmcsPayments as $wpay=>$wpayName):?>
		<div class="row">
			<label class="col-sm-3 col-form-label"><?php echo $api->getLang('WEBERP_PAYMENT_METHOD').': '.$wpayName;?></label>
            <div class="col-sm-3">
              <?php echo $form->select('payments['.$wpay.']',$erpPayments,isset($config['payments'][$wpay])?$config['payments'][$wpay]:'');?>
            </div>
		</div>	
		<?php endforeach;?>
		
		<div class="row">
		    <button type="submit" class="pl-5 btn btn-success"><?php echo $api->getLang('WEBERP_SAVE');?></button>
		</div>
	</form>
</div>